Skip to main content
Memory Stores

Update a memory store

POST
/memory_stores/{name}

Updates the specified memory store with the supplied configuration changes.

Path Parameters
namestringrequired
The name of the memory store to update.
Query Parameters
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Request BodyContent-Type: application/json
descriptionstring
A human-readable description of the memory store.
metadataobject
Arbitrary key-value metadata to associate with the memory store.
Responses
objectenumrequired
The object type, which is always 'memory_store'.
memory_store
idstringrequired
The unique identifier of the memory store.
created_atintegerrequired
The Unix timestamp (seconds) when the memory store was created.
updated_atintegerrequired
The Unix timestamp (seconds) when the memory store was last updated.
namestringrequired
The name of the memory store.
descriptionstring
A human-readable description of the memory store.
metadataobject
Arbitrary key-value metadata to associate with the memory store.
definitiondefaultrequired
The definition of the memory store.
One of the following:
defaultMemoryStoreDefaultDefinition
Default memory store implementation.